Get Entity
GET/entities/:entityTypeId/:entityId
Returns a entity
Request
Path Parameters
EntityType Identifier
Entity Identifier
Query Parameters
Site Identifier
Possible values: [PRESET, CUSTOM]
Namespace Identifier
Responses
- 200
200 OK
Response Headers
Access-Control-Allow-Origin
string
Access-Control-Allow-Methods
string
Access-Control-Allow-Headers
string
- application/json
- Schema
- Example (from schema)
Schema
Array [
]
entity
object
Entity identifier
Entity Type identifier
Entity Name
Inserted Timestamp
attributes
object[]
List of Entity Attributes
Attribute key
Attribute with string value
Attribute with string values
Attribute with number value
Attribute with number values
Attribute with boolean value
Attribute with date value
Attribute with date values
Attribute Value Type
Possible values: [BOOLEAN, DATE, KEY_ONLY, NUMBER, STRING, PUBLICATION, CLASSIFICATION, COMPOSITE_STRING, RELATIONSHIPS, WATERMARK, ENTITY]
{
"entity": {
"entityId": "string",
"entityTypeId": "string",
"name": "string",
"insertedDate": "string",
"attributes": [
{
"key": "string",
"stringValue": "string",
"stringValues": [
"string"
],
"numberValue": 0,
"numberValues": [
0
],
"booleanValue": true,
"dateValue": "string",
"dateValues": [
"string"
],
"valueType": "BOOLEAN"
}
]
}
}